@import "libs/shared/assets/src/global-style/variable";
@import 'libs/shared/assets/src/global-style/color';
.select {
  width: 100%;
  margin-top: 0.3rem;
  ::ng-deep {
    .ant-select-selector {
      border-radius: 8px;
      min-height: 44px;
      display: flex;
      align-items: center;
    }
  }
}

.m-t-sm {
  margin-top: 0.3rem;
}

.footer {
  text-align: end;
  margin-top: 20px;
  button {
    padding-right: 5px;
  }
}

.form-group__icon {
  position: relative;
  a {
    background: $white-color;
    text-align: center;
    width: 30px;
    font-size: 20px;
    right: 6px;
    position: absolute;
    top: 55%;
    transform: translateY(-50%);
    img {
      filter: opacity(0.5);
    }
  }
  input {
    margin-top: 0.3rem;
    border-radius: 8px;
    min-height: 44px;
    width: 100%;
  }
}
.ant-row {
  margin-bottom: 10px;
}

.item-api {
  margin-bottom: 10px;
}

.show-error {
  font-size: 12px;
  margin-top: 8px;
  em {
    margin-right: 8px;
    color: $bg-error-red;
  }
  span {
    font-family: avertaL, sans-serif;
    color: $bg-error-red;
  }
}

.error {
  input {
    border-color: $bg-error-red;
  }
}

.input__label {
  color: $bg-gray-label!important;
  font-size: 14px;
  font-family: avertaB, sans-serif;
}

.input {
  width: 99.5%;
  border-radius: 8px;
  min-height: 44px;
  border: 1px solid $border-color;
  padding: 4px 11px;
  &:hover, &:focus {
    border: 1px solid $primary-button-color;
    box-shadow: none;
  }
  &:focus-visible {
    outline: none;
    border: 1px solid $primary-button-color;
  }
}
